Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1000934 - [ja_JP][fr_FR][Admin Portal] Truncation string in the message of 'Tasks' pane.
Summary: [ja_JP][fr_FR][Admin Portal] Truncation string in the message of 'Tasks' pane.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
: 3.5.0
Assignee: Greg Sheremeta
QA Contact: Yuko Katabami
URL:
Whiteboard: ux
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-08-26 07:16 UTC by Lijun Li
Modified: 2015-02-16 13:36 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0-alpha2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 13:36:26 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Truncation string in the message of 'Tasks' pane (deleted)
2013-08-26 07:18 UTC, Lijun Li
no flags Details
solution suggestion (deleted)
2013-09-05 18:26 UTC, Einav Cohen
no flags Details
fixed japanese (deleted)
2014-05-31 00:13 UTC, Greg Sheremeta
no flags Details
fixed french (deleted)
2014-05-31 00:13 UTC, Greg Sheremeta
no flags Details
Fixed on vt1.3 build of 'Task' (deleted)
2014-07-17 07:57 UTC, Lijun Li
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 28246 master MERGED webadmin: fixed truncation of 'until' column in tasks Never

Description Lijun Li 2013-08-26 07:16:47 UTC
Description of problem:
Truncation string in the message of 'Tasks' pane

Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.16.master.el6ev.noarch.rpm
rhevm-webadmin-portal-3.3.0-0.16.master.el6ev.noarch.rpm

How reproducible:
100%

Steps to Reproduce:
1. Login web admin portal.
2. Click on the bottom Alerts/Events/Tasks view pane


Actual results:
Truncation string in the message of 'Tasks' pane

Expected results:
All the strings should be displayed as normally.

Additional info:
Please refer to the attached screen shot for more details.

Comment 1 Lijun Li 2013-08-26 07:18:55 UTC
Created attachment 790314 [details]
Truncation string in the message of 'Tasks' pane

Comment 2 Lijun Li 2013-08-28 02:07:57 UTC
Also reproduced on fr_FR locale.

Comment 3 Einav Cohen 2013-09-05 18:26:00 UTC
Created attachment 794430 [details]
solution suggestion

Comment 4 Einav Cohen 2013-09-05 18:29:19 UTC
we are already using the tool-tip method for such cases (it can even be seen in the screen-shot that demonstrates the problem: attachment 790314 [details]) - we are using a similar method for truncated table column-headers.

having said that, it probably makes sense to push the task starting date/time a little bit to the left, in order to allow more space for the 'until' string (see attachment 794430 [details]).

marking as Improvement.

Comment 5 Einav Cohen 2014-04-22 01:18:31 UTC
pushing for 3.5, as only major blockers should be solved for 3.4 at this point.

Comment 6 Greg Sheremeta 2014-05-31 00:12:43 UTC
fixed. see screenshots.

Comment 7 Greg Sheremeta 2014-05-31 00:13:11 UTC
Created attachment 901016 [details]
fixed japanese

Comment 8 Greg Sheremeta 2014-05-31 00:13:37 UTC
Created attachment 901017 [details]
fixed french

Comment 9 Lijun Li 2014-07-17 07:56:21 UTC
Verified it's fixed on rhevm3.5 vt1.3 build 3.5.0-0.4.master.el6_5.

Please see the attached screenshot.

Comment 10 Lijun Li 2014-07-17 07:57:50 UTC
Created attachment 918629 [details]
Fixed on vt1.3 build of 'Task'


Note You need to log in before you can comment on or make changes to this bug.